Bug 1275989 - Deleting the existing matcher and creating the same again throws error 'Match has already been taken'.
Deleting the existing matcher and creating the same again throws error 'Match...
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Ruzicka
Jitendra Yejare
: Triaged
Depends On:
Blocks: 1278718
  Show dependency treegraph
 
Reported: 2015-10-28 05:57 EDT by Jitendra Yejare
Modified: 2017-08-01 16:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:03:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot Attached. (238.61 KB, image/png)
2015-10-28 05:57 EDT, Jitendra Yejare
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12339 None None None 2016-10-03 12:40 EDT

  None (edit)
Description Jitendra Yejare 2015-10-28 05:57:49 EDT
Created attachment 1087194 [details]
Screenshot Attached.

Description of problem:
In Configure -> smart class parameter, deleting the existing matcher and without saving the changes, creating the same again throws error 'Match has already been taken'.

Version-Release number of selected component (if applicable):
foreman-1.11.0-0.develop.201510221551git1d0315e.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create matcher for puppet class parameter with some attribute and some value.
2. Save the changes.
3. Again edit the puppet class parameter to delete the matcher created in step 1.
4. Without saving changes of step 3 in parameter, create the matcher with same attribute and same value as created in step 1 and try to save the change to the parameter.

Actual results:
The error of 'Match has already been taken' is displayed and not allowing to save the changes.

Expected results:
Deleting and creating of matcher with same attribute and value should be allowed without saving the changes to parameter.

Additional info:
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:39:21 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-10-03 12:40:54 EDT
Connecting redmine issue http://projects.theforeman.org/issues/12339 from this bug
Comment 8 Bryan Kearney 2017-08-01 16:03:14 EDT
The fix to this bug will be delivered with release 6.3 of Satellite.

Note You need to log in before you can comment on or make changes to this bug.